package org.sourceforge.pasclipse.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.eclipse.ui.IWorkbenchWizard;
import org.sourceforge.pasclipse.wizards.PasclipseNewWizard;

/**
 * Insert the type's description here.
 * @see IWorkbenchWindowActionDelegate
 */
public class OpenPASCALWizAction implements IWorkbenchWindowActionDelegate {
	
	@SuppressWarnings("unused")
	private ISelection selection;
	private IStructuredSelection sselection;
	private IWorkbenchWindow window;
	
	/**
	 * The constructor.
	 */
	public OpenPASCALWizAction() {
	}

	/**
	 * Insert the method's description here.
	 * @see IWorkbenchWindowActionDelegate#run
	 */
	public void run(IAction action)  {
		PasclipseNewWizard wizard = new PasclipseNewWizard();
		
		if(wizard instanceof IWorkbenchWizard)
			((IWorkbenchWizard) wizard).init(window.getWorkbench(),sselection);
			
		WizardDialog dialog= new WizardDialog(window.getShell(), wizard);
		
		dialog.create();
		dialog.getShell().setText("test");
		dialog.open();

		
	}

	/**
	 * Insert the method's description here.
	 * @see IWorkbenchWindowActionDelegate#selectionChanged
	 */
	public void selectionChanged(IAction action, ISelection selection)  {
		this.selection = selection;
		if(selection instanceof IStructuredSelection)
			sselection = (IStructuredSelection) selection;
	}

	/**
	 * Insert the method's description here.
	 * @see IWorkbenchWindowActionDelegate#dispose
	 */
	public void dispose()  {
	}

	/**
	 * Insert the method's description here.
	 * @see IWorkbenchWindowActionDelegate#init
	 */
	public void init(IWorkbenchWindow window)  {
		this.window = window;
	}
}
