package org.sourceforge.pasclipse.editors;

import org.eclipse.ui.editors.text.TextEditor;

public class PascalEditor extends TextEditor {

	private ColorManager colorManager;
	/**
	 * Constructor for SampleEditor.
	 */
	public PascalEditor() {
		super();
		colorManager = new ColorManager();
		setSourceViewerConfiguration(new PascalConfiguration(colorManager));
		setDocumentProvider(new PascalDocumentProvider());
	}
	public void dispose() {
		colorManager.dispose();
		super.dispose();
	}
	
}
