package org.sourceforge.pasclipse.preferences;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

import org.sourceforge.pasclipse.PasclipsePlugin;

/**
 * Class used to initialize default preference values.
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 */
	public void initializeDefaultPreferences() {
		IPreferenceStore store = PasclipsePlugin.getDefault()
				.getPreferenceStore();
		store.setDefault(PreferenceConstants.P_PATH, "d:\\freepascal\\bin");
		store.setDefault(PreferenceConstants.P_STRING, "-O2");
	}

}
